package org.jeecg.config.mybatis.update;

import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.ReflectUtil;

import java.lang.reflect.Field;
import java.util.HashMap;
import java.util.Map;

/**
 * @description:
 * @author: niugeng
 * @create: 2023-01-07 16:50
 **/
public class ReflectUtils extends ReflectUtil {

    public static Map<String, Field> getFieldMap(Class<?> beanClass) {
        Field[] fields = getFields(beanClass);
        HashMap<String, Field> map = MapUtil.newHashMap(fields.length, true);
        Field[] var3 = fields;
        int var4 = fields.length;

        for(int var5 = 0; var5 < var4; ++var5) {
            Field field = var3[var5];
            map.put(field.getName(), field);
        }

        return map;
    }
}
